<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Getting Started with JavaScript</title>
</head>
<body>
    <h1>This is the First Heading</h1>
    <h2>This is the Second Heading</h2>
    <button type="button" onclick="hold()">Try It</button>
    <p1 id="demo"></p1>
 <script>
    // document.addEventListener("mousemove", myFunction)

    // function myFunction(){
    //     document.getElementById("demo").innerHTML = Math.random()
    // }
    // function hold(){
    //     document.removeEventListener("mousemove", myFunction)
    //     document.querySelector("p1").style.backgroundColor = "red";
    //     document.querySelector("p1").style.fontSize = "20px";
    //     document.querySelector("p1").style.color = "#fff";
    // }
    var a;
    document.addEventListener("onckick", myFunction)
    function myFunction(){
    document.getElementById("demo").innerHTML = a
     }
    function hold(){
    document.addEventListener("onclick", myFunction)
    document.querySelector("h1").style.backgroundColor = "red";
    document.querySelector("h2").style.backgroundColor = "Green";
    }


 </script>   
</body>
</html>